package service

import (
	"github.com/gin-gonic/gin"
	"net/http"
)

func newError(c *gin.Context, code int, msg string) {
	c.JSON(http.StatusOK, gin.H{
		"code": code,
		"msg": msg,
	})
}

func skipBom(data []byte) []byte {
	if len(data) < 3 {
		return data
	}

	// little endian only
	if data[0] == 0xEF && data[1] == 0xBB && data[2] == 0xBF {
		return data[3:]
	}
	return data
}